# Generated by rust2rpm 21
%bcond_without check

%global crate rpick

Name:           rust-%{crate}
Version:        0.8.11
Release:        4.rvre0%{?dist}
Summary:        Helps you pick items from a list by various algorithms

# Upstream license specification: GPL-3.0-only
License:        GPL-3.0-only
URL:            https://crates.io/crates/rpick
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Helps you pick items from a list by various algorithms. Example uses: pick a
restaurant you haven't been to in a while, or an album to listen to.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# * ASL 2.0
# * ASL 2.0 or Boost
# * ASL 2.0 or MIT
# * BSD
# * MIT
# * MIT or ASL 2.0
# * Unlicense or MIT
# * zlib or ASL 2.0 or MIT
License: GPL-3.0-only AND Apache-2.0 AND BSD AND MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc CHANGELOG.md
%doc README.md
%{_bindir}/rpick

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{arm} ppc64le
# * doctests fail to compile on armv7hl with LLVM 14:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2086106
# * doctests fail to compile on ppc64le with LLVM 15:
#   https://bugzilla.redhat.com/show_bug.cgi?id=2142648
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif

%changelog
* Wed May 10 2023 David Abdurachmanov <davidlt@rivosinc.com> - 0.8.11-4.rvre0
- Rebuilt for Fedora/RISCV (riscv64)

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.11-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.11-2
- Disable doctests on ppc64le to work around a compiler crash on LLVM 15.

* Sun Sep 11 2022 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.8.11-1
- Update to 0.8.11 (#2060236).

* Tue Aug 02 2022 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.8.10-1
- Update to 0.8.10.

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.7-5
- Skip doctests on armv7hl due to rustc / LLVM 14 crashes.

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.7-4
- Bump mockall dev-dependency from 0.10 to 0.11.

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.7-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 26 17:31:29 EST 2021 Randy Barlow <randy@electronsweatshop.com> - 0.8.7-1
- Update to 0.8.7 (#1861179).

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
